# GLM: glm::gtx::component_wise Namespace Reference

# glm::gtx::component_wise Namespace Reference

GLM_GTX_component_wise extension: Operations between components of a type. More...

## Functions

template<typename genType >
genType::value_type | compAdd (genType const &v)
| Add all vector components together.
template<typename genType >
genType::value_type | compMax (genType const &v)
| Find the maximum value between single vector components.
template<typename genType >
genType::value_type | compMin (genType const &v)
| Find the minimum value between single vector components.
template<typename genType >
genType::value_type | compMul (genType const &v)
| Multiply all vector components together.

## Detailed Description

GLM_GTX_component_wise extension: Operations between components of a type.

## Function Documentation

genType::value_type glm::gtx::component_wise::compAdd | ( | genType const & | v | ) |

Add all vector components together.

From GLM_GTX_component_wise extension.

genType::value_type glm::gtx::component_wise::compMax | ( | genType const & | v | ) |

Find the maximum value between single vector components.

From GLM_GTX_component_wise extension.

genType::value_type glm::gtx::component_wise::compMin | ( | genType const & | v | ) |

Find the minimum value between single vector components.

From GLM_GTX_component_wise extension.

genType::value_type glm::gtx::component_wise::compMul | ( | genType const & | v | ) |

Multiply all vector components together.

From GLM_GTX_component_wise extension.